package ppos

//paramsWx 公共参数：应用id、账号类型、账号id、公司
type paramsWxOpen struct {
	paramsBase
}

func (that *paramsWxOpen) init() {
	that.paramsBase.init()
	that.paramsSlice = append(that.paramsSlice, []string{
		"account_type", //公司id
	}...)

}

func (that *paramsWxOpen) CreateMpApi(params ...interface{}) error {
	that.init()
	if _err := that.paramsBase.CreateMpApi(params...); _err != nil {
		return _err
	}
	//设置隔离字段
	that.postionMp.Set("company_id", that.paramsMp.Get("company_id"))
	return nil
}
